<template>
    <div>
        <a-range-picker
                format="YYYY-MM-DD"
                :ranges="{ '今天': [moment(), moment()], '本月': [moment().startOf('month'), moment().endOf('month')]}"
                @change="onChange"
        />
    </div>
</template>

<script>
    import moment from 'moment';
    export default {
        name: "dateRangePicker",
        data() {
            return {
                date:[],
            };
        },
        methods: {
            moment,
            onChange(dates, dateStrings) {
                this.date=dateStrings;
                this.$emit('input', dateStrings);
            },
        },
    }
</script>

<style scoped>

</style>
